Bug 1843171 - Add perl-DBIx-Class to EPEL7
Summary: Add perl-DBIx-Class to EPEL7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-DBIx-Class
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1842889
TreeView+ depends on / blocked
 
Reported: 2020-06-02 18:07 UTC by Emmanuel Seyman
Modified: 2020-06-14 11:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-14 11:19:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Emmanuel Seyman 2020-06-02 18:07:54 UTC
perl-DBIx-Class is in the depchain of something wanted in EPEL7. Would you be so nice and build it for EPEL 7?

Comment 1 Jitka Plesnikova 2020-06-03 06:55:11 UTC
Lost of dependencies are missing, I do not have time to add all of them.

If you want I can add you as admin for the package.

perl(Class::Accessor::Grouped)
perl(Class::C3::Componentised)
perl(Class::Trigger)
perl(Data::Page)
perl(DBIx::Class::Storage::Debug::PrettyPrint)
perl(DBIx::ContextualFetch)
perl(Hash::Merge)
perl(Math::Base36) >= 0.07
perl(Method::Generate::Accessor)
perl(Method::Generate::Constructor)
perl(Moo)
perl(Moo::Object)
perl(MooseX::Types::JSON) >= 0.02
perl(MooseX::Types::LoadableClass) > 0.011
perl(SQL::Abstract)
perl(SQL::Translator::Diff)
perl(SQL::Translator::Schema::Constants)
perl(SQL::Translator::Utils)
perl(Sub::Defer)
perl(Sub::Quote)
perl(Class::DBI)
perl(Class::DBI::Column)
perl(Class::DBI::Plugin::DeepAbstractSearch)
perl(Class::Unload)
perl(Data::GUID)
perl(SQL::Abstract::Test)
perl(SQL::Translator) >= 0.11018
perl(Time::Piece::MySQL)

Comment 2 Emmanuel Seyman 2020-06-14 11:19:12 UTC
Petr Pisar points out that Data-Stream-Bulk only uses DBIx::Class for an optional test.


Note You need to log in before you can comment on or make changes to this bug.